# Interface ReadableStreamBYOBReader

interface ReadableStreamBYOBReader {
closed: Promise<undefined>;
cancel(reason?): Promise<void>;
read<T>(view): Promise<ReadableStreamReadResult<T>>;
releaseLock(): void;
}

#### Hierarchy (view full)

- ReadableStreamGenericReader
  - ReadableStreamBYOBReader

- Defined in node_modules/@types/node/stream/web.d.ts:167
- Defined in node_modules/@types/node/stream/web.d.ts:175

#####
Index

### Properties

closed

### Methods

cancel
read
releaseLock

## Properties

### `Readonly` closed

closed: Promise<undefined>

Inherited from ReadableStreamGenericReader.closed

- Defined in node_modules/@types/node/stream/web.d.ts:65

## Methods

### cancel

- cancel(reason?): Promise<void>

- #### Parameters

  - `Optional` reason: any

  #### Returns Promise<void>

  Inherited from ReadableStreamGenericReader.cancel

  - Defined in node_modules/@types/node/stream/web.d.ts:66

### read

- read<T>(view): Promise<ReadableStreamReadResult<T>>

- #### Type Parameters

  - T extends ArrayBufferView

  #### Parameters

  - view: T

  #### Returns Promise<ReadableStreamReadResult<T>>

  - Defined in node_modules/@types/node/stream/web.d.ts:168

### releaseLock

- releaseLock(): void

- #### Returns void

  - Defined in node_modules/@types/node/stream/web.d.ts:169